Package Details: dxvk-legacy-git 20180628.5d10170-1

Git Clone URL: https://aur.archlinux.org/dxvk-legacy-git.git (read-only)
Package Base: dxvk-legacy-git
Description: A Vulkan-based compatibility layer for Direct3D 11 which allows running 3D applications on Linux using Wine. Legacy branch for crap nvidia drivers.
Upstream URL: https://github.com/doitsujin/dxvk
Licenses: zlib/libpng
Conflicts: dxvk-bin, dxvk-git, dxvk32, dxvk64
Provides: dxvk
Submitter: hcorion
Maintainer: hcorion
Last Packager: hcorion
Votes: 0
Popularity: 0.000000
First Submitted: 2018-06-22 20:11
Last Updated: 2018-07-24 16:25

Pinned Comments

hcorion commented on 2018-07-23 19:45

You shouldn't need to use this package anymore if you're using it because of stable NVIDIA drivers, because doitsujin has relaxed the requirement for VK_EXT_vertex_attribute_divisor.

Please use the regular dxvk-git.

Source: https://github.com/doitsujin/dxvk/commit/336b3858c9df85bb308dcb4721103910e1bee71a

Latest Comments

Blaiz0r commented on 2018-07-24 17:52

Just checked with the latest dxvk-bin package (0.63-5) and stable Nvidia playing Just Cause 3, and it worked.

This was broken with stable Nvidia and dxvk 0.62, so it looks like his workaround is a great improvement.

Thanks so much for maintaining this package, might be worth keeping around if future updates break compatibility again, dxvk is a volatile project.

hcorion commented on 2018-07-24 16:18

@Blaz0r I just tested dxvk-git on my GTX 1070 with 396.24-18 with The Crew and Watch_Dogs and both worked fine. Doitsujin for some reason wasn't happy with 398.24, so if you report any bugs you'll probably just be told to use 396.45.

Blaiz0r commented on 2018-07-24 10:02

@hcorion does this mean that you can use Nvidia upstream drivers (currently 396.24-18) with the latest dxvk (currently 0.63)?

The DXVK wiki states driver version: 396.45 recommended.

Or would this package still be best used for the stable drivers?

hcorion commented on 2018-07-23 19:50

@layman806, Yes it will work fine with a GTX 1050, but this is not the place for support questions.

To setup 64-bit dxvk run it like this:

WINEPREFIX=/your/wineprefix/ bash /usr/share/dxvk/x64/setup_dxvk.sh

Or if you want 32-bit, like this:

WINEPREFIX=/your/wineprefix/ bash /usr/share/dxvk/x32/setup_dxvk.sh

hcorion commented on 2018-07-23 19:45

You shouldn't need to use this package anymore if you're using it because of stable NVIDIA drivers, because doitsujin has relaxed the requirement for VK_EXT_vertex_attribute_divisor.

Please use the regular dxvk-git.

Source: https://github.com/doitsujin/dxvk/commit/336b3858c9df85bb308dcb4721103910e1bee71a

layman806 commented on 2018-07-23 15:27

And, will this work with the GTX 1050?

layman806 commented on 2018-07-23 15:20

Do I have to run a post-install script in the WINEPREFIX environment?

ssorgatem commented on 2018-06-25 07:37

You should probably put me as a contributor and yourself as maintainer in the PKGBUILD file ;)